<?php

function createThumb($source,$dest) {
	$thumb_size = 100;
	$size = getimagesize($source);
	$width = $size[0];
	$height = $size[1];

	if($width > $height) {
		$x = ceil(($width - $height) / 2 );
		$width = $height;
	} elseif($height > $width) {
		$y = ceil(($height - $width) / 2);
		$height = $width;
	}
	$new_im = imagecreatetruecolor($thumb_size,$thumb_size);

	$extention = strtolower(substr($source, strlen($source)-3, strlen($source)));
	if ($extention == "jpg" || $extention == "jpeg") { $im = imagecreatefromjpeg($source); }
	elseif ($extention == "gif") { $im = imagecreatefromgif($source); }
	elseif ($extention == "png") { $im = imagecreatefrompng($source); }
	else { die("ERROR: Unknown image source file format"); }

	imagecopyresampled($new_im,$im,0,0,$x,$y,$thumb_size,$thumb_size,$width,$height);
	imagejpeg($new_im,$dest,70);
}

function convertBodyCodes($body) {
		
	/*
		The following is the replacement array, note
		that the spaces before and after HTML versions
		is used to prevent building up long strings that
		can't be cut by the chopper function bewlow as
		it was built not to cut in the middle of a string
		that stands inside a html tag - this prevents
		cutting a long link in two parts thus making it
		unusable
	*/
	$BCRegExpArrayPattern = array(
			'/(&#33;|!){10,}/',
            '/\[b\](.*?)\[\/b\]/is',                                
            '/\[i\](.*?)\[\/i\]/is',                                
            '/\[u\](.*?)\[\/u\]/is',                                
            '/\[url\=(.*?)\](.*?)\[\/url\]/is',                         
            '/\[url\](.*?)\[\/url\]/is',                             
            '/\[align\=(left|center|right)\](.*?)\[\/align\]/is',    
            '/\[img\](.*?)\[\/img\]/is',
			'/\[imgw\=(.*?)\](.*?)\[\/imgw\]/is',                            
            '/\[mail\=(.*?)\](.*?)\[\/mail\]/is',                    
            '/\[mail\](.*?)\[\/mail\]/is',                            
            '/\[font\=(.*?)\](.*?)\[\/font\]/is',                    
            '/\[size\=(.*?)\](.*?)\[\/size\]/is',                    
            '/\[color\=(.*?)\](.*?)\[\/color\]/is', 
			'/\\n/',
		);
		
		$BCRegExpArrayReplace = array(
			'!',
            '<strong>$1</strong>',
            '<em>$1</em>',
            '<u>$1</u>',
            '<a href="$1" target="_blank">$2</a>',
            '<a href="$1" target="_blank">$1</a>',
            '<div style="text-align: $1;">$2</div>',
            '<img src="$1" />',
			'<img src="$2" width=$1 />',
            '<a href="mailto:$1">$2</a>',
            '<a href="mailto:$1">$1</a>',
            '<span style="font-family: $1;">$2</span>',
            '<span style="font-size: $1;">$2</span>',
            '<span style="color: $1;">$2</span>',
			'<br /> ',
	);

	$body = preg_replace($BCRegExpArrayPattern, $BCRegExpArrayReplace, $body);

	foreach(explode(" ", strip_tags($body)) as $key => $line) {
		/*
			Break long strings into smaller chunks (prevents
			destroying the interface with a 500 characters
			long "word"
		*/
		if (strlen($line) > 50) $body = str_replace($line, wordwrap($line, 25, " ", 1), $body);
			
	}
		
	/* 
		Return the body to the caller
	*/
	return $body;
}


function confirm ($text) {
	if ($text == 'delete')
	{
	$text = 'Are You Sure?';
	}
    echo '' . 'onclick="return confirm(\'' . $text . '\')"';
}

function retconfirm ($text) {
	return '' . 'onclick="return confirm(\'' . $text . '\')"';
}
?>